*{
    box-sizing: border-box;
    font-family: 'Lato',sans-serif;

}

body{
    margin: 0;
    padding: 0;
}

.home{
    width: 75em;
    margin: 30px auto ;

    display: flex;
    flex-direction: row;
}


.navVar{
    height: 45px;
    margin-bottom: 2em;
    background-color: #ff6c9d;
}
/*Profile*/

.icon{
    border-radius:50%;

    overflow: hidden;
    border: 0px solid black;
    width: 250px;
    height: 250px;
    margin: 0 auto;
    
}

.icon img{
    display: block;
    object-fit: contain;
    
}

.textContainer{
    text-align: center;
}

.profile{
    width: 25%;
}

img{
    width: 100%;
}

.name{
    
    text-transform: uppercase;
    color: rgb(90, 90, 90);
    font-size: 1.7em;
    margin: 0.3em 0;
}

.city{
    text-transform: capitalize;
    font-size: 1.1em;
    font-weight: normal;
    font-style: normal;
    line-height: 1.4;
    text-rendering: optimizeLegibility;
    
}

.description{
    color: #767676;
    padding: 0 1em;
}

.socialMedia{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;

}

.socialMedia a{
    color: inherit;
    margin: 5px;
    margin: 14px 0px;
}

.socialMedia ion-icon{
font-size: 24px;
padding: 7px;
background-color: #CACACA;
border-radius: 50%;
margin: 0 5px;
transition: all 300ms;
}

.socialMedia ion-icon:hover{
    background-color: #ff6c9d;
    transition: all 300ms;
    transform: scale(1..030);
    cursor: pointer;
    box-shadow: 1px 3px 5px #7676769c;
}

.message{
    border: 1px solid grey;
    color:  grey;
    display: block;
    padding: 7px 5px;
    margin: 15px 7px;
    text-decoration: none;
    font-size: 1.2em;
}
.message:hover{
    box-shadow: 3px 3px 9px -5px  #777;
    color: rgb(82, 82, 82);
    transition: all 100ms ;
}

.itemsDiv ul {
    overflow: hidden;
    padding: 0;
}

.itemsDiv ul li{
    width: 100%;
    list-style: none;
    margin: 20px 4px;
    
    font-size: 1.6em;
    
}
.itemsDiv ul li a{
    color: rgb(19, 19, 19);
    text-decoration: none;
    font-weight: 600;


}
.itemsDiv ul li a:hover{
    border-bottom: 3px solid #b9b9b9;
    
}

.colorMain{
    border-bottom: 3px solid #ff6c9d!important;
    transition: all 300ms;
}
.addImage{
    text-align: center;
    display: block;
}
.addImage{
    padding: 6px 0;
    border: 1px solid #ff6c9d;
    width: 60%;
    margin: 0 auto;
    background-color: #ff6c9d;
    color: white;
    text-decoration: none;
    font-size: 1.1em;
    border-radius: 2px;
}
.addImage:focus{
    background-color: #d85d86;

}
    

/* Modal */

.modal-container{
    
    position: fixed;
    visibility: hidden;
    z-index: 1000;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    background: rgba(0,0,0,0.5);
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal{
    width: 100%;

    max-width: 500px;
    box-sizing: border-box;
    height: 45%;
    background-color: #fff;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    padding: 30px 20px;
    position: relative;
    transition: transform 1s;
    transform: translateY(0%);

    justify-content: space-around;

}

.modal *{
    font-family: 'Roboto';

}
.container.X h2{
    text-align: start;
    font-size: 2em ;
    margin-top: 0;
    max-width: 394px;
    width: 100%;
    margin: 0 auto;

}
.conteinerX{

    flex: 0 0 auto;
}



.modal-close{
    transform: translateY(-200%);
}

/*Mensajes del formulario*/
.conteinerForm{
    width: 100%;
}

.inputConteiner, .inputConteinerButton{
    position: relative;
    width: 100%;
    height: 40px;
    border-bottom: 2px solid #333;
    max-width: 395px;
    margin: 0 auto;
    margin-bottom: 30px;
}
.inputConteiner span{
    position: absolute;
    left: 0 ;
    font-size: 1.3em;
    margin: 10px 0;
    pointer-events: none;
    transition: 0.5s all;
    color: grey;

}

.inputConteiner input:focus ~ span,.inputConteiner input:valid ~span,  .inputConteiner textarea:focus ~span, .inputConteiner textarea:valid ~span{
    transform: translateY(-22px);
    font-size: 1em;
    transition: 0.5s all;
    color: #ff6c9d;

}
    

.inputConteinerButton{
    border: none;
}
.inputConteiner input, .inputConteiner textarea{
    border: none;
    outline: none;
    width: 100%;
    height: 100%;
    font-size: 1.4em;
    resize: none;
    padding: 0;
}

.conteinerForm button{
    outline: none;
    box-shadow: none;
    width: 100px;
    background-color: #ff6c9d;
    color: #fff;
    border: none;
    font-size: 1.1em;
    float: left;
    padding:11px 0;
    cursor: pointer;
    border-radius: 2px;
}
/* Gallery */


.itemsBar{
    display: flex;  
    justify-content: flex-end;
    align-items: center;
    overflow: hidden;
  
}

.itemsBar ul{
   display: flex;
   list-style: none;
   
}

.itemsBar ul li{
    margin: 0 5px; 
}
.itemsBar ul li a{
    text-decoration: none;
    color: #767676;
    border: 3px solid #767676;
    padding: 1px 8px;
    border-radius: 14px;
    font-size:13px   ;
}
.linksBar a.active {
    color: #ff6c9d;
    border-color: #ff6c9d;
    /* Otros estilos que desees aplicar al enlace activo */
}
.linksBar a:hover.active {
    color: #ff6c9d;
    border-color: #ff6c9d;
    /* Otros estilos que desees aplicar al enlace activo */
}

.itemsBar ul li a:hover{
    color: #ff6c9d;
    border-color: #ff6c9d;
}

.pickBar{
    color:#ff6c9d!important;
    border-color: #ff6c9d!important;
}

.imageBox{
    position: relative;

}
.deleteButton{
position: absolute;
top: 0;
border-radius: 20px;
padding: 5px 10px;
right:5px;
background-color:#242424;
}

/*Modal delete*/
.delete{
    width: 400px;
    height: 140px;
}
.delete h2{
    text-align: center;
    margin-top: 0;
}
.container.X{
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-evenly;
    align-items: center;
}
.cerrarFin, .btndelete{
    background-color: #183153;
    color: white;
    padding: 10px 30px;
    text-align: center;
    font-size: 1.1em;
    cursor: pointer;
    box-shadow: 0px 6px 24px 0px rgba(0, 0, 0, 0.2);
    border-radius: 4px;
}
.btndelete{
    border: none;
    outline: none;
    background-color: #a11616;
}

/*search bar*/

.formSearch button[type='submit']{
    
    text-align: center; 
    cursor: pointer;
    border: none;
    padding: 0;
  

}
.formSearch button[type='submit'] ion-icon{
    padding-top: 7px;
    color: #ff6c9d;
    scale: 1.8;
    background-color: white;
}

.searchBar{
    outline: none;
    border: none;
    border-bottom:2px solid #ff6c9d;
    margin: 0 10px;
    padding: 4px 0px;
}

.artBox{
    width: 75%;
}
.row{
    display: flex;
    padding: 5px;
    

    flex-wrap: wrap;
}

.column{
    flex: 25%;
    padding: 5px;
    max-width: 25%;
}

.column img{
    margin-top: 5px;
}

/*gallery*/
.img-collections{
    border-radius: 1px;
}
.img-collections:hover{
    transform: scale(1.02);
    transition: transform 300ms;

}



@media (max-width:1225px){
    .column{
        flex: 40%;
        max-width: 50%;

    }
    .home{
        width: 100%;
        
        justify-content: center;
    }
    .profile{
        padding-left: 50px;
        min-width: 350px;
    }
    .row{
        width: 80%  ;
        margin: 0 auto;
    }
    .itemsBar{
        flex-direction: column-reverse;
    }
    .itemsBar ul li{
        margin: 0 auto;

        padding: 0;
        margin-top: 10px;
    }
    .filter-buttons{
        flex-direction: column;    }
}




@media (max-width:768px){
    .column{
        flex: 80%;
        max-width: 100%;

    }
    .row{
        width: 70%  ;
        margin: 0 auto;
    }
    .profile{
        padding-left: 25px;
        min-width: 225px;
    }
}

@media (max-width:655px){
    .profile{
        width: 100%;
        padding: 0;

    }
    .cta.message:not(.deleteButton){
        display: block;
        width: 90%;
        max-width: 400px;
        margin: 0 auto;
    
    }
    .home{
        flex-direction: column;
    }

    /*//////////////*/
    .artBox{
        width: 90%;
        margin: 0 auto;
    }
    .row{
        width: 90%;

    }
    .column{
        margin-bottom: 1em;
    }
    .imageBox{
        margin-bottom: 1em;
    }
    .formSearch{
        width: 100%;
        display: flex;
        justify-content: center;
    }
    .searchBar{
        width: 70%;
        font-size: 1.2em;
    }
}